Package: org.codehaus.groovy.tools.shell

## [Groovy] Class RigidParser

- org.codehaus.groovy.tools.shell.RigidParser

- All Implemented Interfaces and Traits:
    Parsing

      final class RigidParser

  A more rigid parser which catches more syntax errors, but also tends to barf on stuff that is really valid from time to time.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `SCRIPT_FILENAME`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `hasUnmatchedOpenBracketOrParen(String source)`
    `` | `static boolean` | `ignoreSyntaxErrorForLineEnding(String line)`
    `` | `static boolean` | `isAnnotationExpression(CompilationFailedException e, String line)`
    `` | `ParseStatus` | `parse(Collection<String> buffer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### static final String SCRIPT_FILENAME

  - ### Method Detail

    - #### static boolean hasUnmatchedOpenBracketOrParen(String source)

    - #### static boolean ignoreSyntaxErrorForLineEnding(String line)

    - #### static boolean isAnnotationExpression(CompilationFailedException e, String line)

    - #### @Override ParseStatus parse(Collection<String> buffer)